package com.xtd.project.activiti.service;

import com.xtd.framework.web.page.TableDataInfo;
import com.xtd.project.activiti.domain.TreeVo;

import java.util.List;

public interface ProcessInstanceService {
    TableDataInfo list();

    void suspendProcess(String processInstanceId, Integer status);

    void deleteProcess(String processInstanceId);

    void transToOffice(String taskId, String userId);

    void entrust(String taskId, String userId);

    List<TreeVo> listTask(String processInstanceId);

    List<TreeVo> listUser();

    void deleteProcess(List<String> list);
}
